Skip to main content
POST
/
v2
/
sepa
/
verify_payee
Verify a SEPA payee
curl --request POST \
  --url https://thirdparty.qonto.com/v2/sepa/verify_payee \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "iban": "FR7616958000014849440866435",
  "beneficiary_name": "Default Match Person"
}
'
import requests

url = "https://thirdparty.qonto.com/v2/sepa/verify_payee"

payload = {
"iban": "FR7616958000014849440866435",
"beneficiary_name": "Default Match Person"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({iban: 'FR7616958000014849440866435', beneficiary_name: 'Default Match Person'})
};

fetch('https://thirdparty.qonto.com/v2/sepa/verify_payee', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "match_result": "MATCH_RESULT_MATCH",
  "proof_token": {
    "token": "proof_1234567890abcdef"
  }
}

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Body

application/json
iban
string
required

IBAN of the beneficiary account to be verified

Pattern: ^[A-Z]{2}[0-9]{2}[A-Z0-9]{4}[0-9]{7}([A-Z0-9]?){0,16}$
Example:

"FR7616958000014849440866435"

beneficiary_name
string
required

Name of the beneficiary to verify against the account

Required string length: 1 - 140
Example:

"John Doe"

Response

Verification completed successfully

match_result
enum<string>

Result of the payee verification

Available options:
MATCH_RESULT_MATCH,
MATCH_RESULT_NO_MATCH,
MATCH_RESULT_CLOSE_MATCH,
MATCH_RESULT_NOT_POSSIBLE,
MATCH_RESULT_UNSPECIFIED
Example:

"MATCH_RESULT_MATCH"

matched_name
string | null

The actual name associated with the account (present for close matches)

Example:

"Jon Jones"

proof_token
object

Token ensuring verification of payee was performed for the beneficiary in the request. This token must be used to initiate a transfer to this beneficiary, validation will fail otherwise. The token can be used regardless of the VOP match result.